Bug 847535 - Unable to build VDSM 4.10 from SRPM
Unable to build VDSM 4.10 from SRPM
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
3.1 GA
x86_64 Linux
unspecified Severity medium
: ---
: 3.2
Assigned To: Federico Simoncelli
Haim
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 14:28 EDT by JYundt
Modified: 2014-01-12 19:53 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 01:46:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from rpmbuild on Fedora 17 build machine (2.30 KB, application/octet-stream)
2012-08-12 14:28 EDT, JYundt
no flags Details
output from rpmbuild on RHEL 6.3 build machine (2.20 KB, application/octet-stream)
2012-08-12 14:30 EDT, JYundt
no flags Details
Typescript of rpmbuild (33.12 KB, application/octet-stream)
2012-08-12 17:42 EDT, JYundt
no flags Details

  None (edit)
Description JYundt 2012-08-12 14:28:58 EDT
Created attachment 603814 [details]
output from rpmbuild on Fedora 17 build machine

Description of problem:

Unable to build VDSM (vdsm-4.10.0-6.fc17.src.rpm) from SRPM.  Tried on both F17 and RHEL 6.3 and got the same results.  

I think the directory "build-aux" in the source tarball is missing the following scripts:
1) release.sh
2) version.sh

I grabbed the latest version from git and the build-aux directory contained both scripts.  

Specific error I'm getting:

+ make
CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/sh /root/rpmbuild/BUILD/vdsm-4.10.0/build-aux/missing --run aclocal-1.11 
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/release.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
 cd . && /bin/sh /root/rpmbuild/BUILD/vdsm-4.10.0/build-aux/missing --run automake-1.11 --gnu
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/release.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
sh: build-aux/version.sh: No such file or directory
/usr/bin/m4: m4_esyscmd subprocess failed
CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/sh /root/rpmbuild/BUILD/vdsm-4.10.0/build-aux/missing --run autoconf
/bin/sh ./config.status --recheck
running CONFIG_SHELL=/bin/sh /bin/sh ./configure --build=x86_64-unknown-linux-gnu --host=x86_64-unknown-linux-gnu --target=x86_64-redhat-linux-gnu --program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info build_alias=x86_64-unknown-linux-gnu host_alias=x86_64-unknown-linux-gnu target_alias=x86_64-redhat-linux-gnu CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic --no-create --no-recursion
configure: error: package version not defined
make: *** [config.status] Error 1




Version-Release number of selected component (if applicable):

vdsm-4.10.0-6

How reproducible:
Always

Steps to Reproduce:
1.  rpmbuild  --rebuild vdsm-4.10.0-6.fc17.src.rpm
2.
3.
  
Actual results:
Error

Expected results:
RPMs

Additional info:

I'm attaching the logs from both a fedora17 and rhel6.3 build machine.
Comment 1 JYundt 2012-08-12 14:30:14 EDT
Created attachment 603815 [details]
output from rpmbuild on RHEL 6.3 build machine
Comment 2 Itamar Heim 2012-08-12 15:09:45 EDT
if valid, we should have a jenkins job testing for this.
Comment 3 JYundt 2012-08-12 17:42:53 EDT
Created attachment 603828 [details]
Typescript of rpmbuild

1) Pulled down vdsm-4.10.0-6.fc17.src.rpm (via wget) from ovirt page
2) Ran rpmbuild
Comment 4 Federico Simoncelli 2012-09-11 06:52:10 EDT
Fixed in vdsm-4.10.0-8.fc17.src.rpm:

http://koji.fedoraproject.org/koji/buildinfo?buildID=353629

Note You need to log in before you can comment on or make changes to this bug.